package com.starbuds.server.api.notify.constant;

import lombok.Getter;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/16
 */
@Getter
public enum HuaweiNotifyResultEnum {
    /**
     * 成功
     */
    SUCCESS(0, "成功"),

    /**
     * 验签失败
     */
    SIGN_CHECK_FAIL(1, "验签失败"),

    /**
     * 超时
     */
    TIMEOUT(2, "超时"),

    /**
     * 业务信息错误，比如订单不存在。
     */
    BIZ_ERR(3, "业务信息错误"),

    /**
     * 系统错误
     */
    SYS_ERR(94, "系统错误"),

    /**
     * IO错误
     */
    IO_ERR(95, "IO错误"),

    /**
     * 错误的url
     */
    URL_ILLEGAL(96, "错误的url"),

    /**
     * 错误的响应
     */
    RESPONSE_ERR(97, "错误的响应"),

    /**
     * 参数错误
     */
    ARG_ERR(98, "参数错误"),

    /**
     * 其他错误
     */
    OTHERS(99, "其他错误"),
    ;

    private int value;
    private String desc;

    HuaweiNotifyResultEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static HuaweiNotifyResultEnum toEnum(int value) {
        for (HuaweiNotifyResultEnum obj : HuaweiNotifyResultEnum.values()) {
            if (obj.getValue() == value) {
                return obj;
            }
        }
        return HuaweiNotifyResultEnum.OTHERS;
    }
}
