package com.starbuds.server.api.notify.v1.entity;

import com.starbuds.server.api.notify.constant.HuaweiNotifyResultEnum;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.io.Serializable;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/16
 */
@Data
@Slf4j
public class HuaweiNotifyResult implements Serializable {
    /**
     * 操作结果。取值范围如下：
     * ● 0：成功。对于重复的订单，也要求返回0。
     * ● 1：验签失败。
     * ● 2：超时。
     * ● 3：业务信息错误，比如订单不存在。
     * ● 94：系统错误。
     * ● 95：IO错误。
     * ● 96：错误的url。
     * ● 97：错误的响应。
     * ● 98：参数错误。
     * ● 99：其他错误。
     */
    private Integer result;

    public static HuaweiNotifyResult build(HuaweiNotifyResultEnum huaweiNotifyResult) {
        log.info(huaweiNotifyResult.getDesc());
        HuaweiNotifyResult result = new HuaweiNotifyResult();
        result.setResult(huaweiNotifyResult.getValue());
        return result;
    }
}
