package com.starbuds.server.api.notify.v1.entity.form;

import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 财鱼申请提现回调通知
 * @author aoe
 * @date 2021/1/19
 */
@Data
public class CaiyuCashoutNotifyForm implements Serializable {

    /**
     * 提现商户号
     */
    @FormParam("cashoutPartnerCode")
    private String cashoutPartnerCode;

    /**
     * 贵方订单号：提现方唯一订单号，最大32位
     */
    @FormParam("partnerOrderId")
    private String partnerOrderId;

    /**
     * 财鱼订单号
     */
    @FormParam("orderId")
    private String orderId;

    /**
     * 提现结果：
     * PAYING：提现订单支付中
     * SUCCESS：提现成功
     * FAIL：提现失败
     */
    @FormParam("result")
    private String result;

    /**
     * 签名字符串
     */
    @FormParam("sign")
    private String sign;

    /**
     * 支付信息：失败时才有
     */
    @FormParam("payMessage")
    private String payMessage;
}
