package com.starbuds.server.api.notify.v1.facade;

import com.starbuds.server.api.notify.v1.entity.TencentNotifyResult;

import javax.servlet.http.HttpServletRequest;

/**
 * IM 消息通知
 *
 * @author Lay
 * @date 2019/12/24
 */
public interface ImFacade {
    /**
     * 腾讯 IM 消息通知
     * @param sdkAppId
     * @param callbackCommand
     * @param clientIp
     * @param optPlatform
     * @param request
     * @return
     */
    TencentNotifyResult tencent(Long sdkAppId, String callbackCommand, String clientIp, String optPlatform, HttpServletRequest request);

    /**
     * 聊天室状态同步
     * @param signTimestamp
     * @param nonce
     * @param signature
     * @param request
     * @return
     */
    String roomStatus(String signTimestamp, String nonce, String signature, HttpServletRequest request);

    /**
     * 在线状态同步
     * @param signTimestamp
     * @param nonce
     * @param signature
     * @param request
     * @return
     */
    String onlineStatus(String signTimestamp, String nonce, String signature, HttpServletRequest request);
}
