package com.starbuds.server.api.notify.v1.facade;

import com.starbuds.server.api.notify.v1.entity.AlipayNotify;
import com.starbuds.server.api.notify.v1.entity.HuaweiNotify;
import com.starbuds.server.api.notify.v1.entity.HuaweiNotifyResult;
import com.starbuds.server.api.notify.v1.entity.WxpayNotifyResult;

import javax.servlet.http.HttpServletRequest;

/**
 * 支付通知
 *
 * @author Lay
 * @date 2019/12/20
 */
public interface PayFacade {
    /**
     * 支付宝异步通知
     * @param alipayNotify
     * @param request
     * @return
     */
    String alipay(AlipayNotify alipayNotify, HttpServletRequest request);

    /**
     * 微信支付异步通知
     * @param request
     * @return
     */
    WxpayNotifyResult wxpay(HttpServletRequest request);

    /**
     * 华为支付异步通知
     * @param huaweiNotify
     * @param request
     * @return
     */
    HuaweiNotifyResult huawei(HuaweiNotify huaweiNotify, HttpServletRequest request);
}
