package com.starbuds.server.api.notify.v1.impl;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.api.notify.v1.facade.EasyTaxFacade;
import com.starbuds.server.common.pojo.finance.EasyTaxOrderNotify;
import com.starbuds.server.common.service.finance.EasyTaxService;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.springframework.stereotype.Component;

import javax.annotation.security.PermitAll;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/28 18:57
 * @Description 云账户
 */
@Path("/v1/easyTax")
@Produces(ContentType.APPLICATION_JSON_UTF_8)
@Component
@Slf4j
public class EasyTaxFacadeImpl extends BaseFacade implements EasyTaxFacade {

    public static final String SUCCESS = "success";
    public static final String FAIL = "fail";

    @Reference(version = "1.0.0")
    EasyTaxService easyTaxService;

    @POST
    @Path("order")
    @Consumes("application/json; charset=utf-8")
    @PermitAll
    @Override
    public String order(EasyTaxOrderNotify notify) {
        log.info("notify {}", JSON.toJSONString(notify));
        if (notify != null) {
            if (easyTaxService.handleOrderNotify(notify)) {
                log.info("处理成功");
                return SUCCESS;
            }
            log.info("处理失败");
            return FAIL;
        }
        log.info("处理失败");
        return FAIL;
    }
}
